<?php

class UPME_Custom_Fields{
    
    public $upme_settings;
    public $woocommerce_tab_status;
    
    public function __construct(){
        add_filter('upme_module_settings_array_fields', array($this, 'settings_list'));
        add_filter('upme_init_options', array($this,'general_settings') );
        add_filter('upme_default_module_settings', array($this,'default_module_settings') );
        add_filter('upme_option_with_checkbox', array($this,'option_with_checkbox') );
        
        
        add_action( 'upme_addon_module_tabs',array($this, 'module_tabs') );
        add_action( 'upme_addon_module_settings',array($this, 'module_settings') );   
        
        add_action('init',array($this,'intialize_woo_manager'));

        
    }
    
    
        
        public function settings_list($settings){
            $settings['upme-woocommerce-settings'] = array('woocommerce_profile_tab_status');
            return $settings;
        }
        
        public function general_settings($settings){
            $settings['woocommerce_profile_tab_status'] = '0';
            return $settings;
        }
        
        public function default_module_settings($settings){
            $settings['upme-woocommerce-settings'] = array(
                                                            'woocommerce_profile_tab_status' => '0',
                                                            );
            return $settings;
        }
        
        public function option_with_checkbox($settings){
            array_push($settings,'woocommerce_profile_tab_status');
            return $settings;
        }
    
        public function module_tabs(){
        
            echo '<li class="upme-tab " id="upme-custom-fields-settings-tab">'. __('Custom Fields','upme').'</li>';
        }

        public function module_settings(){
            global $upme_template_loader;

            ob_start();
            $upme_template_loader->get_template_part('custom-fields');
            $display = ob_get_clean();        
            echo $display;
        }
    
        public function intialize_woo_manager(){
            $this->current_user = get_current_user_id();
            $this->upme_settings = get_option('upme_options');

            $this->woocommerce_tab_status = isset($this->upme_settings['woocommerce_profile_tab_status'])?$this->upme_settings['woocommerce_profile_tab_status']: '0';
        }

        

}

add_action( 'plugins_loaded', 'upme_custom_fields_plugin_init' );

function upme_custom_fields_plugin_init(){
    global $upme_custom_fields;
    $upme_custom_fields = new UPME_Custom_Fields();
}